<?php
class DHL_Dhl24pl_Block_Pnpblock extends Mage_Core_Block_Template
{
    public $kind;
    public $date;
    public $type;
    public $error;

    public function validate() {

        if (!in_array($this->getKind(), array('WEBAPI', 'SERVICEPOINT'))) {
            $this->setError('Rodzaj raportu jest nieporpawny');
            return false;
        }
        if ($this->getKind() == 'WEBAPI') {
            if (!in_array($this->getType(), array('EX', 'DR', 'ALL', '2EUROPE'))) {

                $this->setError('Typ raportu jest nieporpawny');
                return false;
            }
        }
        if ($this->getKind() == 'SERVICEPOINT') {
            if (!$this->isLm()) {

                $this->setError('Brak zdefiniowanych dostępów do api ParcelShop');
                return false;
            }
        }
        $date = $this->getDate();
        if ( empty($date)) {
            $this->setError('Należy podać datę w formacie yyyy-mm-dd');
            return false;
        }
        return true;
    }

    /** Metoda na podstawie danych konfiguracyjnych sprawdza czy jest dostep do LM
     *
     */
    private function isLm() {
        $login = Mage::getStoreConfig('dhl24pl/servicepoint/slogin',0);
        $pass = Mage::getStoreConfig('dhl24pl/servicepoint/spassword',0);
        if (empty($login) || empty($pass)) {
            return false;
        } else {
            return true;
        }
    }

}