<?php
class DHL_Dhl24pl_Block_Shipmentblock extends Mage_Core_Block_Template
{
    public $days;
    public $error;
    public $shipmentValues = array();

    public $magentoData = array();

    public $orderId;



    /** Metoda ustawia 3 nablizsze dni
     * @return array
     */
    public function generateDays() {
        $days = array();
        $days[date('Y-m-d')] = date('Y-m-d');
        $days[date('Y-m-d', strtotime("+1 day"))] = date('Y-m-d', strtotime("+1 day"));
        $days[date('Y-m-d', strtotime("+2 day"))] = date('Y-m-d', strtotime("+2 day"));
        $this->setDays($days);
    }

    public function validate() {
        $post = $this->getShipmentValues();
        if (!isset($post['payer']) || empty($post['payer'])) {
            $this->setError('Brak wybranego płatnika');
            return false;
        }
        if (!isset($post['product']) || empty($post['product'])) {
            $this->setError('Brak wybranego produktu');
            return false;
        }
        if (isset($post['deliveryToLM']) && $post['deliveryToLM'] && in_array($post['product'], array('EK', '09', '12'))) {
            $this->setError('Doręczenia do Parcelshop można wybrać tylko dla przesyłek DHL PARCEL POLSKA');
            return false;
        }
        if (isset($post['deliveryToLM']) && $post['deliveryToLM'] && isset($post['deliveryToNeighbour']) && $post['deliveryToNeighbour']) {
            $this->setError('Nie można wybrać równoczesnie doręczenia do Parcelshop i doręczenia do sąsiada');
            return false;
        }
        return true;
    }

    public function getShipmentsToSelect() {
        $magentoData = $this->getMagentoData();
        $shipments = array();
        if (isset($magentoData['shipments']) && is_array($magentoData['shipments']) && count($magentoData['shipments']) > 0) {
            foreach ($magentoData['shipments'] as $key =>$value) {
                $shipments[$value['name']] = $value['name'];
            }
        }
        return $shipments;
    }

    public function getSendersToSelect() {
        $magentoData = $this->getMagentoData();
        $shipments = array();
        if (isset($magentoData['senders']) && is_array($magentoData['senders']) && count($magentoData['senders']) > 0) {
            foreach ($magentoData['senders'] as $key =>$value) {
                $shipments[$value['name']] = $value['name'];
            }
        }
        return $shipments;
    }

    public function isSas() {
        $magentoData = $this->getMagentoData();
        if (isset($magentoData['sas']) && $magentoData['sas']) {
            return true;
        } else {
            return false;
        }
    }

    public function isEk() {
        $magentoData = $this->getMagentoData();
        if (isset($magentoData['ek']) && $magentoData['ek']) {
            return true;
        } else {
            return false;
        }
    }

    public function isLm() {
        $magentoData = $this->getMagentoData();
        if (isset($magentoData['lm']) && $magentoData['lm']) {
            return true;
        } else {
            return false;
        }
    }

    public function canCourier() {
        $magentoData = $this->getMagentoData();
        if (isset($magentoData['courier']) && $magentoData['courier']) {
            return true;
        } else {
            return false;
        }
    }

    public function fieldValue($data, $key) {
        if (isset($data[$key])) {
            return $data[$key];
        } else {
            return '';
        }
    }
}