<?php
class DHL_Dhl24pl_IndexController extends Mage_Core_Controller_Front_Action
{
	public function indexAction()
	{
		$oid = $this->getRequest()->getParam('oid');
		$pid = $this->getRequest()->getParam('pid');
		$lp = $this->getRequest()->getParam('lp');
		
		if ( empty($oid) || empty($pid) || empty($lp) ) {
			Mage::getSingleton('core/session')->addWarning('Invalid data from DHL server.');
			$this->_redirect('adminhtml/sales_order/index');
			return;
		}
			
		/* @var $order Mage_Sales_Model_Order */
		$order = Mage::getModel('sales/order')->loadByIncrementId($oid);
		$order->setDhl24plSettings(json_encode(array('lp' => $lp, 'pid' => $pid)));
		$order->save();
		
		$this->_redirect('adminhtml/sales_order/index');
		return;
	}

    public function mapAction()
    {
        $this->loadLayout();
        $this->renderLayout();
    }
	
}